# beadm – Manage ZFS boot environments on FreeBSD/Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, delete or activate ZFS boot environments.

- Mount and unmount ZFS boot environments.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Associate a description with a new boot environment. This option is available only on Solarish platforms.

force
boolean

Choices:
- no ←
- yes

Specifies if the unmount should be forced.

mountpoint path |  | Path where to mount the ZFS boot environment.
name string / required |  | ZFS boot environment name. aliases: be
options string |  | Create the datasets for new BE with specific ZFS properties. Multiple options can be specified. This option is available only on Solarish platforms.
snapshot string |  | If specified, the new boot environment will be cloned from the given snapshot or inactive boot environment.

state
string

Choices:
- absent
- activated
- mounted
- present ←
- unmounted

Create or delete ZFS boot environment.

## Examples

    - name: Create ZFS boot environment
      beadm:
        name: upgrade-be
        state: present

    - name: Create ZFS boot environment from existing inactive boot environment
      beadm:
        name: upgrade-be
        snapshot: be@old
        state: present

    - name: Create ZFS boot environment with compression enabled and description "upgrade"
      beadm:
        name: upgrade-be
        options: "compression=on"
        description: upgrade
        state: present

    - name: Delete ZFS boot environment
      beadm:
        name: old-be
        state: absent

    - name: Mount ZFS boot environment on /tmp/be
      beadm:
        name: BE
        mountpoint: /tmp/be
        state: mounted

    - name: Unmount ZFS boot environment
      beadm:
        name: BE
        state: unmounted

    - name: Activate ZFS boot environment
      beadm:
        name: upgrade-be
        state: activated

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | always | BE description Sample: Upgrade from 9.0 to 10.0
force boolean | always | If forced action is wanted
mountpoint string | always | BE mountpoint Sample: /mnt/be
name string | always | BE name Sample: pre-upgrade
options string | always | BE additional options Sample: compression=on
snapshot string | always | ZFS snapshot to create BE from Sample: rpool/ROOT/oi-hipster@fresh
state string | always | state of the target Sample: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.